Bug 1573231 - Using sudo generates security emails (and keeps IO busy for a while!)
Summary: Using sudo generates security emails (and keeps IO busy for a while!)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 14:40 UTC by Hedayat Vatankhah
Modified: 2019-05-28 22:58 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:58:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Hedayat Vatankhah 2018-04-30 14:40:53 UTC
Description of problem:
The bug seems to be this one tracked in Debian repositories: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=793660

Anyway, every time I use sudo, and email is generated using 'sendmail -t':

To: root
From: hedayat
Auto-Submitted: auto-generated
Subject: *** SECURITY information for hv ***

hv : Apr 30 19:06:44 : hedayat : problem with defaults entries ; TTY=pts/2 ; PWD=/home/hedayat ; USER=root ; 


Version-Release number of selected component (if applicable):
sudo-1.8.22-0.2.b1.fc28.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Use sudo

Actual results:
1. you can see 'sendmail -t' is called, and goes to top of 'iotop' for a few seconds! (apparently, generating error messages or ..?)
2. An email is generated inside ~/.esmtp_queue


Expected results:
Not generating an email

Comment 1 Robert Hinson 2018-10-21 04:58:41 UTC
It has to do with the defaults section in the sudoers file.

Defaults   !visiblepw

Defaults    env_reset
Defaults    env_keep =  "COLORS DISPLAY HOSTNAME HISTSIZE KDEDIR LS_COLORS"
Defaults    env_keep += "MAIL PS1 PS2 QTDIR USERNAME LANG LC_ADDRESS LC_CTYPE"
Defaults    env_keep += "LC_COLLATE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES"
Defaults    env_keep += "LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE"
Defaults    env_keep += "LC_TIME LC_ALL LANGUAGE LINGUAS _XKB_CHARSET XAUTHORITY"

Defaults    secure_path = /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

Comment 2 Ben Cotton 2019-05-02 20:36:39 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 22:58:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.